# Analysing PFD reports

![Extractor](../assets/extractor.png)

PFD Toolkit's `Extractor` class gives you an analytical toolbox for making sense of PFD reports. 

The guides below walk through the main features:

- [Produce summaries](summarising.md) of report text – generate short summaries and estimate the token cost of your data.
- [Discover recurring themes](themes.md) – automatically discover recurring themes or label reports with your own taxonomy.
- [Pull out structured data](basics.md) from reports – create a basic feature model to identify specific features from report data.
- [Capture text spans](spans.md) – keep short excerpts ("spans") showing where each feature came from.
- [Cache and reset output](caching.md) – reuse completions to save time and API costs.