# For Non-Coders

We appreciate that not all researchers are Python coders, and we also believe that this shouldn't stop you from unlocking the insights contained within PFD reports.

If you have a research question, policy project, or just curiosity about PFD reports, please get in touch with me (Sam).

## How I can help

If you want to use the PFD Toolkit but are not sure where to start, or you find the technical side a bit daunting, I am genuinely very happy to help. Here is what I can offer:

- *Explain PFD reports.* I can tell you more about what kind of information is contained within PFD reports and whether they could support your research or policy goals.
- *Custom Scripts.* Tell me what you are trying to do, for example, "I want all reports related to mental health in the North West from 2022," or "Can I get a table of reports mentioning medication errors?" I can then write the script for you.
- *Ready-to-Use Results.* I will run the toolkit for you and provide you with the outputs you need, whether it is a spreadsheet, a summary, or visualisations.
- *Ongoing Support.* If you want to learn how to do it yourself next time, I can guide you at your pace.

## How to get in touch

Just reach out via [email](mailto:s.o.andrews@liverpool.ac.uk) or [LinkedIn](https://www.linkedin.com/in/sam-o-andrews/).


I want the toolkit to be useful to as many people as possible, not just programmers. If you are a policy worker, academic, journalist, campaigner, or someone affected by PFD reports, please reach out. I would be delighted to help you get the most out of this resource.