# More about PFD reports

Prevention of Future Death (PFD) reports are a unique, under-recognised mechanism within the English and Welsh legal system for flagging hazards that threaten lives. These documents, written by coroners at the close of certain inquests, have the potential to drive real change — but only if their warnings are heard and acted upon.

---

## What is a PFD report?

When a coroner concludes an inquest and believes that action should be taken to prevent future deaths, they are legally obliged (under Regulation 28 of the Coroners (Investigations) Regulations 2013) to issue a PFD report. The report is sent to any person or organisation the coroner thinks could take action. This could be an NHS trust, a regulator, a private company, a local council, or even the government.

The aim is simple: to prevent further deaths by highlighting risks, missed opportunities, or avoidable harm that have already claimed a life.

Other than through this toolkit, reports are publicly available [here](https://www.judiciary.uk/prevention-of-future-death-reports/).

## What do PFD reports look like?

PFD reports tend to be short, factual documents. PFD Toolkit collects the following sections from each report:

| PFD report section              | What it contains                                                                     |
|---------------------------------|---------------------------------------------------------------------------------------------------------------------|
| URL | The URL of the report.
| ID | The ID number associated with the report.
| Date | The date that the report was published. Note that this is not the date of death.
| Coroner name                        | Identifies the coroner by name.                  |
| Coroner area                        | States the area of the coroner. Each area typically covers one or more local authorities.
| Recipient(s)   | The addressee list – every person, body or department the coroner believes has the power to act on the concerns.    |
| Investigation and inquest       | Provides the inquest conclusion (medical cause and verdict).                   |
| Circumstances of the death      | A concise, factual summary of how the death occurred, setting the scene for the concerns that follow.                |
| Coroner's concerns             | Lists specific matters revealed by the evidence that give rise to a risk of future deaths.|


!!! Note
    The above table is a rough guide. In practice, each coroner may approach the writing of PFD reports slightly differently. For example, there is occasional overlap between the "Investigation and inquest" and "Circumstances of the death" sections.



## Why do PFD reports matter?

PFD reports offer us a rare window into risks and failures that may not appear in routine data. They can expose themes including, but absolutely not limited to:

* Missed diagnoses and medical errors

* Gaps in mental health or social care provision

* Unsafe systems or environments (e.g. railway safety, housing, road design)

* Inadequate policies or regulatory oversight

Because coroners have a statutory duty to write them, PFD reports sometimes identify entirely new risks — before they turn into trends. For researchers and policymakers, they are therefore a critical early-warning system.


## How does PFD Toolkit help?

Before PFD Toolkit, there was no automated way of screening, discovering themes, or extracting information from these reports. Researchers would have to manually screen them report-by-report, demanding months or even years of researcher time.

Through this, we are hoping to lower the barrier to research for those interested in using PFD reports.